/*
   File: match.h
   Tries to match a list of terms against a type
   This code is for checking guards and resolving calls

   Copyright (C) 2008 Marc Seutter

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.

   CVS ID: "$Id: match.h,v 1.4 2008/08/11 20:16:34 marcs Exp $"
*/
#ifndef IncMatch
#define IncMatch

/* standard includes */
#include <stdio.h>

/* libdcg includes */
#include <dcg.h>
#include <dcg_alloc.h>
#include <dcg_string.h>

/* local includes */
#include "cdl_ds.h"

/* Exported functions */
int match_terms (int curr_mnr, affix_term_list terms, affix_rule arule, guard_type type,
		 member_list *res_guards);

#endif /* IncMatch */
